PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Macros
timer.h File Reference
`#include <ptlib/notifier.h>`
`#include <ptclib/threadpool.h>`
`#include "unix/ptlib/timer.h"`
Include dependency graph for timer.h:

Go to the source code of this file.

## Classes
class | PSimpleTimer
| A class represeting a simple timer. More...
class | PTimer
| A class representing a system timer. More...
class | PPoolTimer< Work_T, Pool_T >
| Template abstract class for a PTimer that queues a work item to a thread pool. More...
class | PPoolTimerArg0< Work_T, Base_T, Pool_T >
| Create a thread pooled timer execution with no parameters to work item. More...
class | PPoolTimerArg1< Work_T, Arg1, Base_T, Pool_T >
| Create a thread pooled timer execution with one parameter to work item. More...
class | PPoolTimerArg2< Work_T, Arg1, Arg2, Base_T, Pool_T >
| Create a thread pooled timer execution with two parameters to work item. More...
class | PPoolTimerArg3< Work_T, Arg1, Arg2, Arg3, Base_T, Pool_T >
| Create a thread pooled timer execution with three parameters to work item. More...

## Macros
#define | PTIMER_OPERATORS(cls)

## Macro Definition Documentation

#define PTIMER_OPERATORS | ( |  | cls | ) |

Value:
cls & operator=( int16_t rhs) { this->SetInterval(rhs); return *this; } \
cls & operator=(uint16_t rhs) { this->SetInterval(rhs); return *this; } \
cls & operator=( int32_t rhs) { this->SetInterval(rhs); return *this; } \
cls & operator=(uint32_t rhs) { this->SetInterval(rhs); return *this; } \
cls & operator=( int64_t rhs) { this->SetInterval(rhs); return *this; } \
cls & operator=(uint64_t rhs) { this->SetInterval(rhs); return *this; } \
cls & operator=(const PTimeInterval & rhs) { this->SetInterval(rhs.GetMilliSeconds()); return *this; } \